mCreate(3)

NAME
mCreate - initialize a mutex.

SYNOPSIS
#include <util/ulocks.h> NEOERR *mCreate(pthread_mutex_t *mutex);

ARGUMENTS
mutex - mutex to initialize.

DESCRIPTION
Initializes the mutex <mutex>. MT-Level: Safe for unique <mutex>.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock